Public Attributes | List of all members
iso_set_default_per_adv_sync_tran_param_t Struct Reference
BLE » Core Isochronous Channels » Structures

The parameter for setting default periodic advertising synchronization transport. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | mode
| the action to be taken when periodic advertising synchronization information is received, see iso_sync_mode_t. More...
uint16_t | skip
| The number of periodic advertising packets that can be skipped after a successful receive, (Range: 0x0000 to 0x01F3). More...
uint16_t | sync_timeout
| Synchronization timeout for the periodic advertising,(Range: 0x000A to 0x4000). More...
uint8_t | cte_type
| specifies whether to only synchronize to periodic advertising with certain types of Constant Tone Extension, see iso_cte_type_t. More...

## Detailed Description

The parameter for setting default periodic advertising synchronization transport.

Definition at line 383 of file ble_iso.h.

## Member Data Documentation

## ◆ cte_type

uint8_t iso_set_default_per_adv_sync_tran_param_t::cte_type

specifies whether to only synchronize to periodic advertising with certain types of Constant Tone Extension, see iso_cte_type_t.

Definition at line 388 of file ble_iso.h.

## ◆ mode

uint8_t iso_set_default_per_adv_sync_tran_param_t::mode

the action to be taken when periodic advertising synchronization information is received, see iso_sync_mode_t.

Definition at line 385 of file ble_iso.h.

## ◆ skip

uint16_t iso_set_default_per_adv_sync_tran_param_t::skip

The number of periodic advertising packets that can be skipped after a successful receive, (Range: 0x0000 to 0x01F3).

Definition at line 386 of file ble_iso.h.

## ◆ sync_timeout

uint16_t iso_set_default_per_adv_sync_tran_param_t::sync_timeout

Synchronization timeout for the periodic advertising,(Range: 0x000A to 0x4000).

Time = N*10 ms, Time Range: 100 ms to 163.84 s

Definition at line 387 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h